• Welcome to Final Fantasy Hacktics. Please login or sign up.
 
August 07, 2020, 08:13:51 am

News:

Use of ePSXe before 2.0 is highly discouraged. Mednafen/RetroArch is recommended for playing/testing, pSX is recommended for debugging.


Summary

xjamxx

  • https://steamcommunity.com/id/xjamxx
Offline Show posts Show stats
Posts:
43 (0.062 per day)
Age:
N/A
Date registered:
September 11, 2018, 07:55:30 pm
Local Time:
August 07, 2020, 06:13:51 am
Last active:
May 08, 2019, 09:24:03 am
  • Modding version: PSX
Signature:
<Random> This seems to be a PSX issue.
<Elric> A psx issue? That makes no sense. Sounds more like an issue with your OS.